<template>
    <div class="container-fluid">

        <!-- Vertical Layout | With Floating Label -->
        <div class="row clearfix">
            <form action="javascript:void(0)" ref="update" @submit="update" method="post">
                <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12">
                    <div class="card">
                        <div class="header">
                            <h2>
                                Update Sub-Sub-Category
                            </h2>
                        </div>
                        <div class="body">
                            <div class="form-group">
                                <div class="form-line">
                                    <label for="categories">Categories</label>
                                    <select required v-model="subSubCategory.category_id" @change="subCategory" id="categories" name="category_id" class="form-control">
                                        <option v-for="category in Categories" :value="category.id">{{category.name}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group">
                                <div class="form-line">
                                    <label for="sub_categories">Sub-Categories</label>
                                    <select required v-model="subSubCategory.sub_category_id" id="sub_categories" name="sub_category_id" class="form-control">
                                        <option v-for="sub_category in subCategories" :value="sub_category.id">{{sub_category.name}}</option>
                                    </select>
                                </div>
                            </div>
                            <div class="form-group form-float">
                                <div class="form-line">
                                    <input required type="text" id="name" v-model="subSubCategory.name" class="form-control" name="name" >
                                </div>
                            </div>
                            <div class="card">
                                <div class="header">
                                </div>
                                <a class="btn btn-danger m-t-15 waves-effect" @click="back('subCategoryView')">Back</a>
                                <button type="submit" class="btn btn-primary m-t-15 waves-effect">Update</button>
                            </div>
                        </div>
                    </div>
                </div>
            </form>
        </div>
        <!-- Vertical Layout | With Floating Label -->
    </div>
</template>
<script>
    export default {
        props:{
            subSubCategory:{
                type: Object,
                required: true,
            },
        },
        data() {
            return{
                Categories:{},
                subCategories:{},
            }
        },
        created(){
            this.Category();
            this.subCategory();
        },
        methods:{
            Category(){
                axios.get('/admin/category').then((response)=>{
                    this.Categories=response.data;
                }).catch((error)=>{
                    this.Categories={};
                });
            },
            subCategory(){
                axios.get(`product/sub/category/${this.subSubCategory.category_id}`).then((response)=>{
                    this.subCategories=response.data;
                }).catch((error)=>{
                    this.subCategories={};
                });
            },
            update(){
                axios.post(`/admin/sub/sub/category/update${this.subSubCategory.id}`,new FormData(this.$refs.update)).then((response) => {
                    this.$toaster.success(response.data);
                }).catch((error)=>{
                    if (error.response.status === 422) this.$toaster.error(error.response.data.errors);
                    else this.$toaster.error(error);
                });
            },
            back(text){
                this.$emit('sent',text);
            }
        }
    }
</script>
